#include "deftype.h"

GrCopy64K(ssx,ssy,sex,sey,dsx,dsy)
/* 正方向グラフィック領域コピー（512*512:65536）*/
{
int ssp,y,x;
unsint *sgr0,*dgr0;
unsint *sgr,*dgr;
	ssp=SUPER(0);
	sgr0=(unsint *)(0xc00000+(ssx*2)+ssy*1024);
	dgr0=(unsint *)(0xc00000+(dsx*2)+dsy*1024);
	for (y=ssy;y<=sey;y++) {
		sgr=sgr0;
		dgr=dgr0;
		for (x=ssx;x<=sex;x++) *dgr++=*sgr++;
		sgr0+=512;
		dgr0+=512;
	}
	if (ssp>=0) SUPER(ssp);
}
